Bug 22645 - Add 'ISSN' option to OPAC's basic search
Summary: Add 'ISSN' option to OPAC's basic search
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-05 02:42 UTC by Mason James
Modified: 2019-04-26 13:58 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22654: Add 'ISSN' sarch option to OPAC simple search pull down (1.55 KB, patch)
2019-04-06 11:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22645: Add 'ISSN' sarch option to OPAC simple search pull down (1.55 KB, patch)
2019-04-08 13:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22645: Add 'ISSN' sarch option to OPAC simple search pull down (1.59 KB, patch)
2019-04-08 13:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22645: Add 'ISSN' sarch option to OPAC simple search pull down (1.60 KB, patch)
2019-04-14 23:52 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mason James 2019-04-05 02:42:07 UTC
I often get lots of requests to add an 'ISSN' option to the OPAC's basic search

This patch will attempt to add the 'ISSN' option
Comment 1 Katrin Fischer 2019-04-06 11:28:24 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2019-04-08 13:45:46 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-04-08 13:46:06 UTC
Comment on attachment 87471 [details] [review]
Bug 22654: Add 'ISSN' sarch option to OPAC simple search pull down

Fixed wrong bug number in patch subject line.
Comment 4 Owen Leonard 2019-04-08 13:48:34 UTC
Created attachment 87524 [details] [review]
Bug 22645: Add 'ISSN' sarch option to OPAC simple search pull down

To test:
- Apply patch
- Verify that the ISSN option shows up in the pull down
  for the simple search on top of the OPAC
- Search for an ISSN with the new search option
- Verify the correct search result shows

https://bugs.koha-community.org/show_bug.cgi?id=22645

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Chris Cormack 2019-04-14 23:52:57 UTC
Created attachment 87970 [details] [review]
Bug 22645: Add 'ISSN' sarch option to OPAC simple search pull down

To test:
- Apply patch
- Verify that the ISSN option shows up in the pull down
  for the simple search on top of the OPAC
- Search for an ISSN with the new search option
- Verify the correct search result shows

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 6 Nick Clemens 2019-04-18 12:09:02 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-04-26 13:58:15 UTC
Enhancement will not be backported to 18.11.x series.